import axios from "@/libs/axios";
import { stringify } from "qs";
const proxy = process.env.NODE_ENV == 'development' ? "/apis" : "https://smp.sskuaixiu.com/api/order/pub-open/";
if(process.env.NODE_ENV == 'development') {
    console.log("dev: " + proxy);
} else {
    console.log("env: " + proxy);
}
// 登录
export const login = data => axios.post(`${proxy}/account/login`, data);

// 企业列表
export const listCompany = data => axios.post(`${proxy}/company/list`, data);
// 企业信息
export const myCompany = data => axios.post(`${proxy}/company/mine`, data);
// 创建企业
export const createCompany = data => axios.post(`${proxy}/company/create`, data);
// 企业状态
export const updateCompanyStatus = data => axios.post(`${proxy}/company/update/status`, data);
// 企业有效期
export const updateCompanyExpired = data => axios.post(`${proxy}/company/update/expired`, data);
// 修改企业信息
export const updateCompany = data => axios.post(`${proxy}/company/update`, data);

// 帐号列表
export const listAccount = data => axios.post(`${proxy}/account/list/${data}`);
// 帐号列表
export const listAccountMine = data => axios.post(`${proxy}/account/list/mine`);
// 创建帐号
export const createAccount = data => axios.post(`${proxy}/account/create`, data);
// 修改帐号密码
export const updatePassword = data => axios.post(`${proxy}/account/update/password`, data);
// 修改帐号状态
export const updateAccountStatus = data => axios.post(`${proxy}/account/update/status`, data);

// 车源列表
export const listSource = data => axios.post(`${proxy}/data/sources`, data);
// 添加车源信息
export const createSource = data => axios.post(`${proxy}/data/source/create`, data);
// 修改车源停牌
export const updateSource = data => axios.post(`${proxy}/data/source/update`, data);
// 修改车源状态
export const updateSourceStatus = data => axios.post(`${proxy}/data/source/update/status`, data);

// 数据 / 型号列表
export const listModel = data => axios.post(`${proxy}/data/models`, data);
// 数据 / 品牌列表
export const listBrand = data => axios.post(`${proxy}/data/brands`, data);
// 数据 / 创建
export const createData = data => axios.post(`${proxy}/data/create`, data);