import store from "@/store";
const { dispatch } = store;

export default {
  components: {  },
  data() {
    return {
      visible: false,
      submitLoading: false,
      accountFormRule: {
        username: [
          {
            required: true,
            message: "请输入帐号",
            trigger: "blur"
          }
        ],
        password: [
          {
            required: true,
            message: "请输入密码",
            trigger: "blur"
          }
        ],
        realName: [
          {
            required: true,
            message: "请输入真实姓名",
            trigger: "blur"
          }
        ],
        phone: [
          {
            required: true,
            message: "请输入联系电话",
            trigger: "blur"
          }
        ],
      },
      accountForm: {
        username: "",
        password: "",
        realName: "",
        phone: "",
        address: "",
        type: 0,
        companyId: 0,
      }
    };
  },
  computed: {
  },
  watch: {
    visible(show) {
      this.submitLoading = false;
      this.$refs.accountForm.resetFields();
    },
  },
  methods: {
    saveAccount() {
      this.$refs.accountForm.validate(valid => {
        if (valid) {
          this.submitLoading = true;
          var tokenInfo = JSON.parse(localStorage.getItem("tokenInfo"));
          if(tokenInfo.type != 0) {
            this.accountForm.type = 2;
          }
          this.accountForm.companyId = tokenInfo.companyId;
          
          dispatch("invoke/asyncCreateAccount", this.accountForm).then(({ code }) => {
            this.submitLoading = false;
            if (code === 1) {
              this.$Message.success("添加成功");
              this.$emit("search");
              this.visible = false;
            }
          });
        }
      });
    }
  },
  mounted() {
  }
};
