
export const columns = (disable, enable, updatePassword) => [
  {
    title: "帐号",
    key: "username",
    align: "center",
    minWidth: 60,
  },
  {
    title: "姓名",
    key: "realName",
    align: "center",
    minWidth: 60,
  },
  {
    title: "电话",
    key: "phone",
    align: "center",
    minWidth: 60,
  },
  {
    title: "地址",
    key: "address",
    align: "center",
    minWidth: 60,
  },
  {
    title: "类型",
    align: "center",
    width: 120,
    render(h, { row }) {
      try {
        const { type } = row;
        return h("span", type == 1 ? '主帐号' : '子帐号');
      } catch(e) {
        console.log(e);
      }
    }
  },
  {
    title: "状态",
    align: "center",
    width: 120,
    render(h, { row }) {
      try {
        const { status } = row;
        return h("span", {style: {color: status == 1 ? 'green' : 'red' }}, status == 1 ? '有效' : '失效');
      } catch(e) {
        console.log(e);
      }
    }
  },
  {
    title: "操作",
    align: "center",
    fixed: 'right',
    width: 180,
    render(h, { row }) {
      const { status } = row;
      var emptyTag = h("span","　");

      var updatePasswordTag = h(
        "Button",
        {
            props: { type: "primary", size: "small" },
            on: { click: () => { 
              updatePassword.dataSource = row;
              updatePassword.visible = true;
            }}
        },
        "修改密码"
      );
      var disableTag = h(
        "Poptip",
        {
            props: { title: "确定停用当前帐号吗？", transfer: true, confirm: true, size: "small" },
            on: { "on-ok": () => { row.status=0; disable(row); } }
        },
        [
            h("Button", {props: {type: "error", size: "small"}}, "停用")
        ]
      );
      var enableTag = h(
        "Button",
        {
            props: { type: "primary", size: "small" },
            on: { click: () => { row.status=1; enable(row); }}
        },
        "启用"
      );

      return h("span", [updatePasswordTag, emptyTag, status == 1 ? disableTag : enableTag]);
    }
  },
];
