import store from "@/store";
const { dispatch } = store;
import { columns } from "./helper.js";
import AddAccount from "./add/index.vue";
import UpdatePassword from "./updatePassword/index.vue";

export default {
  components: { AddAccount, UpdatePassword },
  data() {
    return {
      loading: false,
      columns: [], 
      name: "",

      data: {
        records:[],
      },
    }
  },
  methods: {
    disable(account) {
      dispatch("invoke/asyncUpdateAccountStatus", account);
    },
    enable(account) {
      dispatch("invoke/asyncUpdateAccountStatus", account);
    },
    search() {  
      this.loading = true;
      dispatch("invoke/asyncListAccountMine", {}).then(({ data }) => {
        this.loading = false
        if (data != null) {
          this.data.records = data;
        } else {
          this.data = {
            records:[],
          };
        }
        // console.log(this.data)
      });
    },
  },
  mounted() {
    this.columns = columns(this.disable, this.enable, this.$refs.updatePassword);
    this.search();
  }
};
