import store from "@/store";
const { dispatch } = store;

export default {
  components: {  },
  data() {
    return {
      dataSource: null,
      visible: false,
      submitLoading: false,
      accountFormRule: {
        password: [
          {
            required: true,
            message: "请输入密码",
            trigger: "blur"
          }
        ],
      },
      accountForm: {
        id: 0,
        username: "",
        password: "",
      }
    };
  },
  computed: {
  },
  watch: {
    visible(show) {
      this.submitLoading = false;
      this.$refs.accountForm.resetFields();

      this.accountForm.id = this.dataSource.id;
      this.accountForm.username = this.dataSource.username;
    },
  },
  methods: {
    saveAccount() {
      this.$refs.accountForm.validate(valid => {
        if (valid) {
          this.submitLoading = true;
          dispatch("invoke/asyncUpdatePassword", this.accountForm).then(({ code }) => {
            this.submitLoading = false;
            if (code === 1) {
              this.$Message.success("修改成功");
              this.$emit("search");
              this.visible = false;
            }
          });
        }
      });
    },
  },
  mounted() {
  }
};
