import store from "@/store";
const { dispatch } = store;
import { Timing } from "@/components/index.js";
import moment from "moment";

export default {
  components: { Timing },
  props: ["dataSource"],
  data() {
    return {
      visible: false,
      submitLoading: false,
      companyForm: {
        id: 0,
        name: "",
        expiredDate: ""
      }
    };
  },
  computed: {

  },
  watch: {
    visible(show) {
      this.submitLoading = false;
      if (show) {
        this.$refs.companyForm.resetFields();

        if(this.dataSource) { // 编辑
          this.companyForm.id = this.dataSource.id;
          this.companyForm.name = this.dataSource.name;
          this.companyForm.expiredDate = this.dataSource.expiredDate;
        } else { // 添加
        }
      } else {

      }
    },
  },
  methods: {
    updateExpired() {
      if(!this.companyForm.expiredDate) {
        this.$Message.error("请选择有效期");
        return;
      }
      this.submitLoading = true;
      const requestData = {
        id: this.companyForm.id,
        expiredDate: moment(this.companyForm.expiredDate).valueOf()
      }
      dispatch("invoke/asyncUpdateCompanyExpired", requestData).then(({ code }) => {
        this.submitLoading = false;
        if (code === 1) {
          this.$Message.success(this.dataSource ? "修改成功" : "添加成功");
          this.$emit("search");
          this.visible = false;
        }
      });
    },
    getExpiredDate(date) {
      this.companyForm.expiredDate = date;
    }
  },
  mounted() {
  }
};
