import store from "@/store";
const { dispatch } = store;
import { columns } from "./helper.js";
import AddBrand from "./addBrand/index.vue";
import AddModel from "./addModel/index.vue";

export default {
  components: { AddBrand, AddModel },
  data() {
    return {
      loading: false,
      columns: [], 
      parentId: null,

      changeCurrent: 1,
      data: [],
      brands: [],
    }
  },
  methods: {
    showAddBrand() {
      this.$refs.addBrandDialog.visible = true;
    },
    showAddModel() {
      this.$refs.addModelDialog.visible = true;
      this.$refs.addModelDialog.brands = this.brands;
    },
    search() {
      var searchForm = {
        parentId: this.parentId
      };
      dispatch("invoke/asyncListModel", searchForm).then(({ data }) => {
        this.loading = false;
        if (data != null) {
          this.data = data;
        } else {
          this.data = [];
        }
      });
    },
    getBrands() {
      dispatch("invoke/asyncListBrand").then(({ data }) => {
        this.loading = false;
        this.brands = data;
      });
    },
  },
  mounted() {
    this.getBrands();
    this.columns = columns(this.disable, this.enable, this.$refs.editDialog);
    this.search();
  }
};
