import store from "@/store";
const { dispatch } = store;

export default {
  components: {  },
  data() {
    return {
      visible: false,
      submitLoading: false,
      sourceFormRule: {
        name: [
          {
            required: true,
            message: "请输入车源名称",
            trigger: "blur"
          }
        ],
      },
      sourceForm: {
        name: "",
        contactName: "",
        contactPhone: "",
        address: "",
      }
    };
  },
  computed: {
  },
  watch: {
    visible(show) {
      this.submitLoading = false;
      this.$refs.sourceForm.resetFields();
    },
  },
  methods: {
    saveSource() {
      this.$refs.sourceForm.validate(valid => {
        if (valid) {
          this.submitLoading = true;
          
          dispatch("invoke/asyncCreateSource", this.sourceForm).then(({ code }) => {
            this.submitLoading = false;
            if (code === 1) {
              this.$Message.success("添加成功");
              this.$emit("search");
              this.visible = false;
            }
          });
        }
      });
    }
  },
  mounted() {
  }
};
