export const columns = (disable, enable, editDialog) => [
  {
    title: "车源名称",
    align: "center",
    minWidth: 60,
    render: (h, { row }) => {
      const { name } = row;
      return h(
        "a",
        {
            on: { click: () => { 
              editDialog.dataSource = row;
              editDialog.visible = true;
            }}
        },
        name
      );
    }
  },
  {
    title: "联系人",
    key: "contactName",
    align: "center",
    minWidth: 60,
  },
  {
    title: "联系电话",
    key: "contactPhone",
    align: "center",
    minWidth: 60,
  },
  {
    title: "地址",
    key: "address",
    align: "center",
    minWidth: 60,
  },
  {
    title: "状态",
    align: "center",
    minWidth: 60,
    render(h, { row }) {
      try {
        const { status } = row;
        return h("span", {style: {color: status == 1 ? 'green' : 'red' }}, status == 1 ? '有效' : '失效');
      } catch(e) {
        console.log(e);
      }
    }
  },
  {
    title: "操作",
    align: "center",
    fixed: 'right',
    width: 180,
    render(h, { row }) {
      try {
        const { status } = row;

        var disableTag = h(
            "Poptip",
            {
                props: { title: "确定停用当前车源吗？", transfer: true, confirm: true, size: "small" },
                on: { "on-ok": () => { disable(row); } }
            },
            [
                h("Button", {props: {type: "error", size: "small"}}, "停用")
            ]
        );
        var enableTag = h(
            "Button",
            {
                props: { type: "primary", size: "small" },
                on: { click: () => { enable(row); }}
            },
            "启用"
        );
        
        return h("span", status == 1 ? [disableTag] : [enableTag]);
      } catch(e) {
        console.log(e);
      }
    }
  },
];
