import store from "@/store";
const { dispatch } = store;
import { columns } from "./helper.js";
import AddSource from "./add/index.vue";
import EditSource from "./edit/index.vue";

export default {
  components: { AddSource, EditSource },
  data() {
    return {
      loading: false,
      columns: [], 
      name: "",

      changeCurrent: 1,
      data: [],
    }
  },
  methods: {
    disable(source) {
      var requestData = { id : source.id, status : 0 }
      dispatch("invoke/asyncUpdateSourceStatus", requestData).then(({ data }) => {
        source.status = 0;
      });
    },
    enable(source) {
      var requestData = { id : source.id, status : 1 }
      dispatch("invoke/asyncUpdateSourceStatus", requestData).then(({ data }) => {
        source.status = 1;
      });
    },
    search() {  
      var searchForm = {
          name: this.name
      };
      dispatch("invoke/asyncListSource", searchForm).then(({ data }) => {
        this.loading = false;
        if (data != null) {
          this.data = data;
        } else {
          this.data = [];
        }
      });
    },
  },
  mounted() {
    this.columns = columns(this.disable, this.enable, this.$refs.editDialog);
    this.search();
  }
};
