import store from "@/store";
import md5 from 'js-md5';
const { dispatch } = store;
export default {
    components: { },
    data() {
      return {
        loginForm: {
            username: "",
            password: "",
        },
        loginRule: {
            username: [ {required: true, message:"请输入帐号", trigger: "blur"} ],
            password: [ {required: true, message:"请输入密码", trigger: "blur"} ],
        },
      }
    },
    methods: { 
        login(name) {
            this.$refs[name].validate((valid) => {
                if (!valid) {
                    return;
                }
                var requestData = {
                    "username": this.loginForm.username,
                    "password": md5(this.loginForm.password)
                }
                dispatch("invoke/asyncLogin", requestData).then(response => {
                    if(!response.data) {
                        console.log("登录失败");
                        return;
                    }
                    localStorage.setItem("tokenInfo", JSON.stringify(response.data));
                    this.$router.push({ path: "/main" });
                });
            })
        }
    },
    mounted() {
    }
  };
  