import store from "@/store";
import routers from "@/router/routers.js";
const { dispatch } = store;
export default {
    components: { },
    data() {
      return {
        maps:[],
        currentView: null,
        routers,
      }
    },
    methods: {
        setMenus() {
            var tokenInfo = JSON.parse(localStorage.getItem("tokenInfo"));
            if(!tokenInfo) {
                this.$Message.error('token获取失败');
                return;
            }
            var menusJson = JSON.parse(tokenInfo.menus);
            menusJson.forEach(item => {
                var menu = this.getMenuFromRouter(item.key);
                menu.visable = true;

                if(item.children) {
                    item.children.forEach(childItem => {
                        var childMenu = this.getMenuFromRouter(childItem.key);
                        childMenu.visable = true;
                    })
                }
            });
            // console.log(routers);
        },
        getMenuFromRouter(key) {
            var maps = [];
            for(var i in routers) {
                var router = routers[i];
                if(router.key == key) {
                    maps.push(router.title);
                    router.maps = maps;
                    return router;
                }
                if(!router.children || router.children.length<=0) {
                    continue;
                }
                for(var j in router.children) {
                    try{
                        var childRouter = router.children[j];
                        if(childRouter.key == key) {
                            maps.push(router.title);
                            maps.push(childRouter.title);
                            childRouter.maps = maps;
                            return childRouter;
                        }
                    } catch(e) {
                        console.log(router);
                    }
                }
            }
        },
        onMenuSelect(name) {
            var router = this.getMenuFromRouter(name);
            this.currentView = router.component;
            this.maps = router.maps;
        }
    },
    mounted() {
        this.setMenus();
    }
  };
  